Skip to main content

Attach Security Group

Attaches one or more security groups to the load balancer's underlying VM. The vm_id path parameter is the load balancer's node_detail.vm_id.

POST/api/v1/security_group/{vm_id}/attach/

Path parameters

  • vm_idPathintegerrequired

    The vm_id field from the node_detail object in the List Load Balancers response.

    • required
    • must be a valid VM ID
    example23456

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the load balancer.

    • must be a non-empty string
    example{{location}}

Request body

application/json

object
security_group_idsarrayrequired

IDs of the security groups to attach to the load balancer's VM.

  • required
  • at least one entry
  • each entry must reference a security group owned by the account

Responses

200Successful response
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleSecurity Group Attached Successfully